local DuraFrame = CreateFrame("Frame")
DuraFrame.ldb = LibStub("LibDataBroker-1.1"):NewDataObject("DuraBroker", {
	type = "data source",
	icon = "Interface\\Icons\\Trade_BlackSmithing",
	label = "Durability",
--	suffix = "%",
	text = "?",
--	value = "?"
	}
)

DurabilityFrame:UnregisterAllEvents()
DurabilityFrame:Hide()

DuraFrame:RegisterEvent("PLAYER_DEAD")
DuraFrame:RegisterEvent("UPDATE_INVENTORY_ALERTS")
DuraFrame:RegisterEvent("PLAYER_REGEN_ENABLED")
DuraFrame:RegisterEvent("PLAYER_MONEY")
DuraFrame:SetScript("OnEvent", DuraBroker_Update)

local slots = {
	(GetInventorySlotInfo("HeadSlot")),
	(GetInventorySlotInfo("ShoulderSlot")),
	(GetInventorySlotInfo("ChestSlot")),
	(GetInventorySlotInfo("WristSlot")),
	(GetInventorySlotInfo("HandsSlot")),
	(GetInventorySlotInfo("WaistSlot")),
	(GetInventorySlotInfo("LegsSlot")),
	(GetInventorySlotInfo("FeetSlot")),
	(GetInventorySlotInfo("MainHandSlot")),
	(GetInventorySlotInfo("SecondaryHandSlot")),
	(GetInventorySlotInfo("RangedSlot")),
}

local function GetItemDur(slot)
	if not GetInventoryItemLink("player", slot) then return -1 end
	local durability, maximum = GetInventoryItemDurability(slot)
	if not durability or (maximum == 0) then return -1 end
	return (durability/maximum)
end

DuraFrame:SetScript("OnEvent", function()
--	ChatFrame1:AddMessage("Dura Event: Val="..DuraFrame.ldb.text)
	local total = 0
	local numitems = 0
	local duracolor = "00ff00"
	for i = 1, #slots do
		local itemdur = GetItemDur(slots[i])
		if itemdur >= 0 then
			total = total + itemdur
			numitems = numitems + 1
		elseif itemdur == 0 then
			duracolor = "ff0000"
		end
	end
	if numitems == 0 then return end
	total = floor(total / numitems * 100)
--	ChatFrame1:AddMessage("Total=" .. total)
	if not duracolor == "ff0000" then
		if total > 66 then
			duracolor = "00ff00"
		elseif total > 19 then 
			duracolor = "ffff00"
		else
			duracolor = "ff0000"
		end
	end
	DuraFrame.ldb.text = format("|cff%s%i%%|r", duracolor, total)
--	DuraFrame.ldb.text = total.."%"
--	DuraFrame.ldb.value = total
--	ChatFrame1:AddMessage("Total="..DuraFrame.ldb.text)
end)
